Get all spaces

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Get all spaces API enables users to get all spaces in their Rocketlane instances using advanced filtering options. This API is intended to provide a flexible and fast means of getting spaces related data based on various parameters.

Developers can integrate the spaces search feature into their applications and platforms by using this API. You can fine-tune your searches and retrieve the spaces data you need for integration into your applications or platforms by using the available parameters.

You can use any combination of these parameters to execute searches based on your specifications. In addition to filters, sortBy and sortOrder can be used to sort the spaces. The response body is paginated, and you can control the pagination using the limit and pageToken parameters.

Pagination

The Get all spaces API accommodates pagination in the response body. The pageSize option can be used to restrict the amount of responses displayed/available in a single request. Additionally, if there are more entries than the ones accessible in the answer, the response(s) may contain the nextPageToken.

Please refer to the pagination section for further information on this.

Filtering

The capacity to execute more sophisticated and nuanced searches on a dataset by combining numerous criteria and conditions is referred to as filtering.

Complex filtering in the context of the Get all spaces API allows users to build elaborate search queries to return specific subsets of spaces that satisfy specific requirements. By catering to a wide range of use cases, this enhanced filtering functionality considerably increases the API's utility and versatility.

The API reference includes a comprehensive range of filtering options.

Please refer to the link here for more information on how to construct the filtering criteria for spaces related fields.

Criteria Match

In addition to standard filtering and custom field filtering, the Get all spaces API also supports the use of AND and OR conditions for more advanced filtering options. Users can combine different filters and custom field queries with these logical operators to build complex yet accurate search queries.


In case any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Query Params
int64
required
≥ 0
Defaults to 1

You can use this param to specify some value as project id and the responses will contain exact matches of spaces that match the given value.

number
≥ 0

This parameter sets the maximum number of responses to be displayed per page. If the page size is insufficient to accommodate the whole number of responses obtained, the pagination object will include a link to the next page as well as the next page token. If left blank, it defaults to 100.

string

Use this parameter to specify the pageToken of a page to which you want to navigate. This pageToken can be obtained from a previous request which specified a limit and will only be active for 15 minutes after it is created.

string
enum

You can use the sortBy param to sort the responses by the given field.

Allowed:
string
enum

The sortOrder param can be used to specify the sorting order, which can be Ascending (ASC) or Descending (DESC). Descending is the default option.

Allowed:
string
enum

You can use the match param to specify if we need to filter the entries using either AND(all) / OR(any). Defaults to AND.

Allowed:
string

You can use this param to specify some space name and the responses will contain exact matches of spaces that match the given name.

string

You can use this param to specify some space name and the responses will contain matches of spaces that match the given name.

string

You can use this param to specify some space name and the responses will not contain matches of spaces that match the given name.

int64

You can use this param to provide an epoch milli value and the responses will contain spaces whose date are greater than the given spaces created date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of spaces that match the given spaces created date.

int64

You can use this param to provide an epoch milli value and the responses will contain spaces whose date are less than the given spaces created date.

int64

You can use this param to provide an epoch milli value and the responses will contain spaces whose date are greater than or equal to the given spaces created date.

int64

You can use this param to provide an epoch milli value and the responses will contain spaces whose date are less than or equal to the given spaces created date.

int64

You can use this param to provide an epoch milli value and the responses will contain spaces whose date are greater than the given spaces updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain exact matches of spaces that match the given spaces updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain spaces whose date are less than the given spaces updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain spaces whose date are greater than or equal to the given spaces updated date.

int64

You can use this param to provide an epoch milli value and the responses will contain spaces whose date are less than or equal to the given spaces updated date.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json